---------------------
PatchSet 1582 
Date: 2001/02/15 22:29:24
Author: rbcollins
Branch: generic_modules
Tag: (none) 
Log:
cleaned up name space

Members: 
	src/fs/aufs/store_dir_aufs.c:1.13.4.1->1.13.4.2 
	src/fs/coss/store_dir_coss.c:1.10.4.1->1.10.4.2 
	src/fs/diskd/store_dir_diskd.c:1.14.4.1->1.14.4.2 
	src/fs/null/store_null.c:1.2.6.1->1.2.6.2 
	src/fs/ufs/store_dir_ufs.c:1.12.4.1->1.12.4.2 
	src/repl/heap/store_repl_heap.c:1.6.4.1->1.6.4.2 
	src/repl/lru/store_repl_lru.c:1.6.4.1->1.6.4.2 

Index: squid/src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.13.4.1
retrieving revision 1.13.4.2
diff -u -r1.13.4.1 -r1.13.4.2
--- squid/src/fs/aufs/store_dir_aufs.c	15 Feb 2001 12:25:17 -0000	1.13.4.1
+++ squid/src/fs/aufs/store_dir_aufs.c	15 Feb 2001 22:29:24 -0000	1.13.4.2
@@ -118,8 +118,7 @@
 static void storeAufsDirInitBitmap(SwapDir *);
 static int storeAufsDirValidFileno(SwapDir *, sfileno, int);
 
-/* The MAIN externally visible function */
-STSETUP storeFsSetup_aufs;
+static STSETUP storeFsSetup_aufs;
 
 /* register as a module
  */
@@ -1715,7 +1714,7 @@
     asyncufs_initialised = 0;
 }
 
-void
+static void
 storeFsSetup_aufs(storefs_entry_t * storefs)
 {
     assert(!asyncufs_initialised);
Index: squid/src/fs/coss/store_dir_coss.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/coss/store_dir_coss.c,v
retrieving revision 1.10.4.1
retrieving revision 1.10.4.2
diff -u -r1.10.4.1 -r1.10.4.2
--- squid/src/fs/coss/store_dir_coss.c	15 Feb 2001 12:25:17 -0000	1.10.4.1
+++ squid/src/fs/coss/store_dir_coss.c	15 Feb 2001 22:29:24 -0000	1.10.4.2
@@ -87,8 +87,7 @@
 static STFSRECONFIGURE storeCossDirReconfigure;
 static STDUMP storeCossDirDump;
 
-/* The "only" externally visible function */
-STSETUP storeFsSetup_coss;
+static STSETUP storeFsSetup_coss;
 
 /* register as a module
  */
@@ -868,7 +867,7 @@
     coss_initialised = 0;
 }
 
-void
+static void
 storeFsSetup_coss(storefs_entry_t * storefs)
 {
     assert(!coss_initialised);
Index: squid/src/fs/diskd/store_dir_diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/store_dir_diskd.c,v
retrieving revision 1.14.4.1
retrieving revision 1.14.4.2
diff -u -r1.14.4.1 -r1.14.4.2
--- squid/src/fs/diskd/store_dir_diskd.c	15 Feb 2001 12:25:18 -0000	1.14.4.1
+++ squid/src/fs/diskd/store_dir_diskd.c	15 Feb 2001 22:29:24 -0000	1.14.4.2
@@ -128,8 +128,7 @@
 static void storeDiskdStats(StoreEntry * sentry);
 static void storeDiskdDirSync(SwapDir *);
 
-/* The only externally visible interface */
-STSETUP storeFsSetup_diskd;
+static STSETUP storeFsSetup_diskd;
 
 /* register as a module
  */
@@ -1961,7 +1960,7 @@
     diskd_initialised = 0;
 }
 
-void
+static void
 storeFsSetup_diskd(storefs_entry_t * storefs)
 {
     assert(!diskd_initialised);
Index: squid/src/fs/null/store_null.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/null/store_null.c,v
retrieving revision 1.2.6.1
retrieving revision 1.2.6.2
diff -u -r1.2.6.1 -r1.2.6.2
--- squid/src/fs/null/store_null.c	15 Feb 2001 12:25:18 -0000	1.2.6.1
+++ squid/src/fs/null/store_null.c	15 Feb 2001 22:29:25 -0000	1.2.6.2
@@ -49,8 +49,7 @@
 static STLOGCLEANDONE storeNullDirWriteCleanDone;
 static EVH storeNullDirRebuildComplete;
 
-/* The only externally visible interface */
-STSETUP storeFsSetup_null;
+static STSETUP storeFsSetup_null;
 
 /* register as a module
  */
@@ -133,7 +132,7 @@
 
 /* Setup and register the store module */
 
-void
+static void
 storeFsSetup_null(storefs_entry_t * storefs)
 {
     assert(!null_initialised);
Index: squid/src/fs/ufs/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/ufs/store_dir_ufs.c,v
retrieving revision 1.12.4.1
retrieving revision 1.12.4.2
diff -u -r1.12.4.1 -r1.12.4.2
--- squid/src/fs/ufs/store_dir_ufs.c	15 Feb 2001 12:25:18 -0000	1.12.4.1
+++ squid/src/fs/ufs/store_dir_ufs.c	15 Feb 2001 22:29:25 -0000	1.12.4.2
@@ -116,7 +116,7 @@
 static void storeUfsDirInitBitmap(SwapDir *);
 static int storeUfsDirValidFileno(SwapDir *, sfileno, int);
 
-STSETUP storeFsSetup_ufs;
+static STSETUP storeFsSetup_ufs;
 
 /* register as a module
  */
@@ -1704,7 +1704,7 @@
     ufs_initialised = 0;
 }
 
-void
+static void
 storeFsSetup_ufs(storefs_entry_t * storefs)
 {
     assert(!ufs_initialised);
Index: squid/src/repl/heap/store_repl_heap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/repl/heap/store_repl_heap.c,v
retrieving revision 1.6.4.1
retrieving revision 1.6.4.2
diff -u -r1.6.4.1 -r1.6.4.2
--- squid/src/repl/heap/store_repl_heap.c	15 Feb 2001 11:45:00 -0000	1.6.4.1
+++ squid/src/repl/heap/store_repl_heap.c	15 Feb 2001 22:29:25 -0000	1.6.4.2
@@ -37,7 +37,7 @@
 #include "heap.h"
 #include "store_heap_replacement.h"
 
-REMOVALPOLICYCREATE createRemovalPolicy_heap;
+static REMOVALPOLICYCREATE createRemovalPolicy_heap;
 
 /* Module Support
  */
@@ -274,7 +274,7 @@
     cbdataFree(policy);
 }
 
-RemovalPolicy *
+static RemovalPolicy *
 createRemovalPolicy_heap(wordlist * args)
 {
     RemovalPolicy *policy;
Index: squid/src/repl/lru/store_repl_lru.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/repl/lru/store_repl_lru.c,v
retrieving revision 1.6.4.1
retrieving revision 1.6.4.2
diff -u -r1.6.4.1 -r1.6.4.2
--- squid/src/repl/lru/store_repl_lru.c	15 Feb 2001 11:45:00 -0000	1.6.4.1
+++ squid/src/repl/lru/store_repl_lru.c	15 Feb 2001 22:29:25 -0000	1.6.4.2
@@ -35,7 +35,7 @@
 
 #include "squid.h"
 
-REMOVALPOLICYCREATE createRemovalPolicy_lru;
+static REMOVALPOLICYCREATE createRemovalPolicy_lru;
 
 typedef struct _LruPolicyData LruPolicyData;
 struct _LruPolicyData {
@@ -276,7 +276,7 @@
     cbdataFree(policy);
 }
 
-RemovalPolicy *
+static RemovalPolicy *
 createRemovalPolicy_lru(wordlist * args)
 {
     RemovalPolicy *policy;
